Application: gvSIG desktop - gvSIG bugs #5733
La tabla aparece vacia pero la capa si que tiene geometrias
12/23/2022 01:56 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document table

Target version: 2.6.0-3302

Severity: Critical Add-on version:

gvSIG version: 2.6.0 Add-on build:

gvSIG build: 3301 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Al abrir la tabla de atributos en la 2.6 me aparece vacia la tabla, pero en la Vista si que se ven las geometrias. Hace unos minutos
estaba trabajando con esa capa en la 2.5.1 y si que se veia la tabla bien.

Adjunto log, aunque creo que no aporta nada.

Adjunto también captura.

He ejecutado el validate_layer para ver si la capa estaba corrupta pero esta bien.

Associated revisions

Revision 2890 - 01/10/2023 02:25 PM - Francisco Diaz Carsi

refs #5733, Add persistence support to Version

Revision 46907 - 01/10/2023 02:27 PM - Francisco Diaz Carsi

refs #5733, Resuelto problema de compatibilidad hacia atras en la persistencia del feature query (limit)

Revision 46908 - 01/10/2023 02:28 PM - Francisco Diaz Carsi

refs #5733, Resuelto problema con la persistencia en FLyrVect relacionado con el listener de seleccién

Revision 46909 - 01/10/2023 02:29 PM - Francisco Diaz Carsi

refs #5733, Resuelto problema de refresco en la vista cuando hay dos eventos de pintado consecutivos y se cancelaba uno de ellos.

History

#1 - 12/26/2022 02:37 PM - Mario Carrera
- File PGOU.zip added

05/11/2024 1/2




Adjunto zip con un proyecto Proyecto_2022-12-25.gvsproj y todas las capas de ese proyecto. El problema ocurre con las capas

Union-tipo_calif-calif_usos-rustico_2022-12-21_def.shp y normas_zonales_final.shp

#2 - 01/19/2023 09:04 AM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3302

Los problemas eran una mezcla de perdida de compatibilidad entre la 2.6.0 y la 2.5.1 junto con un problema en la persistencia de las capas en el

proyecto.
Se estaban dando dos problemas a la vez.
- la tabla de atributos se quedase vacia.

- La seleccion no se actualizaba en la vista para capas cargadas desde un proyecto.

Las correcciones aplicadas solucionan estos problemas.

#3 - 01/19/2023 09:04 AM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#4 - 08/03/2023 02:18 PM - Alvaro Anguix
- Status changed from Fixed to Closed
